help-gnustep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Debian: Cannot autobuild gnustep apps on all architectures.


From: Adam Fedor
Subject: Re: Debian: Cannot autobuild gnustep apps on all architectures.
Date: Fri, 21 May 2004 08:10:42 -0600


On May 21, 2004, at 6:52 AM, Eric Heintzmann wrote:
I've tried to force plmerge to fail, but I can't, even when defaults isn't readable/writable/doesn't exist. Perhaps just changing application.make to ignore the error would work:
diff -u -r1.35 application.make
--- Instance/application.make   8 Mar 2004 14:05:04 -0000       1.35
+++ Instance/application.make   27 Apr 2004 12:50:32 -0000
@@ -259,7 +259,7 @@
          fi; \
          echo "  NSPrincipalClass = \"$(PRINCIPAL_CLASS)\";"; \
          echo "}") >address@hidden(END_ECHO)
- $(ECHO_NOTHING)if [ -r "$(GNUSTEP_INSTANCE)Info.plist" ]; then \ + -$(ECHO_NOTHING)if [ -r "$(GNUSTEP_INSTANCE)Info.plist" ]; then \
           plmerge $@ "$(GNUSTEP_INSTANCE)Info.plist"; \
          fi$(END_ECHO)
endif
although I'm not sure how the app would behave if the plist doesn't exist. Maybe putting an extra $(ECHO_NOTHING)if [ -r "$(GNUSTEP_INSTANCE)Info.plist" ]; then \
           cp "$(GNUSTEP_INSTANCE)Info.plist" $@; \
          fi$(END_ECHO)
after that would be necessary.

Sorry, to not answering before, but my hard drive crashed ...

Do you intend to apply these changes on the GNUstep CVS ?
Or do you suggest I patch the gnustep-make debian package to see if gnustep apps can be built ?



I was, but just after that Nicola came up with a plan to eliminate the usage of plmerge in the make scripts, so I'm holding off. There should be at least some kind of fix in before the next release.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]